PUT/trashcan/{resource}/{id}/restore.json

Restore Resource Items from the Trashcan

Checkout our Teamwork.com code sample repo on GitHub for a restore items from a projects trashcan code sample

Resouces that can be restored:

  • projects
  • tasks
  • milestones
  • tasklists
  • messages
  • messagereplies
  • notebooks
  • files
  • fileversions
  • forms
  • timelogs
  • links
  • comments
  • people
  • expenses

Replace 'resource' with the above. Eg:
/trashcan/people/{id}/restore.json /trashcan/tasks/{id}/restore.json


Path Params

  • Name
    resource
    Type
    string
    required
    Description
  • Name
    id
    Type
    integer
    required
    Description

Body Params

    • Name
      includeComments
      Type
      boolean
      Description
      Also restore the comments of the item.
    • Name
      includeSubtasks
      Type
      string
      Description
      Tasks only. `none` restores no subtasks. `sameDeletedDate` restores the subtasks that were deleted at the same time as the task. Any other value restores all subtasks.

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 Response

    Examples

    200 Response

    application/json
    {
      "STATUS": "OK"
    }